## python-django-structlog 8.1.0

=== docs/requirements.txt ===
sphinx==7.3.7
sphinx_rtd_theme==2.0.0
celery==5.4.0
django>=4.2,<6
structlog
sphinx-autobuild==2024.4.16
Jinja2==3.1.4
importlib-metadata>=1,<8

=== debian/changelog ===
python-django-structlog (8.1.0-2) unstable; urgency=low

  * Source-only upload to allow transition to testing.

 -- Michael Fladischer <fladi@debian.org>  Sat, 20 Jul 2024 19:50:19 +0000

python-django-structlog (8.1.0-1) unstable; urgency=low

  * Initial release (Closes: #1073003).

 -- Michael Fladischer <fladi@debian.org>  Mon, 10 Jun 2024 21:21:14 +0000

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-django-environ,
 python3-django-extensions,
 python3-pytest,
 python3-pytest-django,
 python3-redis,
 redis-server,
 @,
 @builddeps@,
Restrictions: allow-stderr

## python-django-structlog 9.0.1

=== docs/requirements.txt ===
sphinx==8.1.3
sphinx_rtd_theme==3.0.2
celery==5.4.0
django>=4.2,<6
structlog
sphinx-autobuild==2024.10.3
Jinja2==3.1.5
importlib-metadata>=8.0.0,<9

=== debian/changelog ===
python-django-structlog (9.0.1-1) unstable; urgency=low

  * New upstream version 9.0.1
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Tue, 04 Mar 2025 21:06:36 +0000

=== debian/control ===
Source: python-django-structlog
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-celery,
 python3-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-structlog,
Standards-Version: 4.7.0
Homepage: https://github.com/jrobichaud/django-structlog
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-structlog
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-structlog.git
Rules-Requires-Root: no

Package: python3-django-structlog
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-structlog-doc,
Description: Structured Logging for Django (Python3 version)
 django-structlog is a structured logging integration for Django project using
 structlog. Logging will then produce additional cohesive metadata on each logs
 that makes it easier to track events or incidents.
 .
 This package contains the Python 3 version of the library.

Package: python-django-structlog-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Structured Logging for Django (Documentation)
 django-structlog is a structured logging integration for Django project using
 structlog. Logging will then produce additional cohesive metadata on each logs
 that makes it easier to track events or incidents.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-structlog
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CUDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-django-structlog-doc/usr/share/doc/python-django-structlog-doc/html
endif

execute_before_dh_clean:
	rm -rf $(CURDIR)/docs/.build

## python-django-structlog 9.1.1

=== requirements.txt ===
-r requirements/local.txt

=== docs/requirements.txt ===
sphinx==8.2.3
sphinx_rtd_theme==3.0.2
celery==5.4.0
django>=4.2,<6
structlog
sphinx-autobuild==2024.10.3
Jinja2==3.1.6
importlib-metadata>=8.0.0,<9

=== debian/changelog ===
python-django-structlog (9.1.1-1) unstable; urgency=low

  [ Colin Watson ]
  * Add "Restrictions: isolation-container" to autopkgtest so that redis can
    start.

  [ Michael Fladischer ]
  * New upstream version 9.1.1
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Aug 2025 15:41:04 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-structlog,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jrobichaud/django-structlog
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-structlog
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-structlog.git

=== debian/tests/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
  redis-server,
  @,
  @builddeps@,
-Restrictions: allow-stderr
+Restrictions: allow-stderr, isolation-container

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-structlog-$1/ \
https://github.com/jrobichaud/django-structlog/tags \
/jrobichaud/django-structlog/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-structlog 10.0.0

=== docs/requirements.txt ===
sphinx==8.2.3
sphinx_rtd_theme==3.0.2
celery==5.5.3
django>=4.2,<6
structlog
sphinx-autobuild==2025.8.25
Jinja2==3.1.6
importlib-metadata>=8.0.0,<9

=== debian/changelog ===
python-django-structlog (10.0.0-1) unstable; urgency=low

  * New upstream version 10.0.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Use uscan version 5.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Feb 2026 10:09:15 +0000

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-structlog,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jrobichaud/django-structlog
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-structlog
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-structlog.git
-Rules-Requires-Root: no
 
 Package: python3-django-structlog
 Architecture: all

=== debian/watch ===
Version: 5
Template: GitHub
Owner: jrobichaud
Project: django-structlog
